#!/usr/bin/sudo /bin/sh

usbhid_devs=`ls -d /sys/bus/usb/drivers/usbhid/*/*1B96* | xargs -n 1 dirname | xargs -n 1 basename`
ntrig_devs=`ls -d /sys/bus/hid/drivers/ntrig/*1B96* | xargs -n 1 basename`

for i in $usbhid_devs
do
	echo $i > /sys/bus/usb/drivers/usbhid/unbind
done

test -x calib && ./calib
test -x firmware && ./firmware

for i in $usbhid_devs
do
	echo $i > /sys/bus/usb/drivers/usbhid/bind
done
